Upstream information

CVE-2007-6015 at MITRE

Description

Stack-based buffer overflow in the send_mailslot function in nmbd in Samba 3.0.0 through 3.0.27a, when the "domain logons" option is enabled, allows remote attackers to execute arbitrary code via a GETDC mailslot request composed of a long GETDC string following an offset username in a SAMLOGON logon request.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 343702 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
SuSE Linux Desktop 1.0
  • samba >= 2.2.8a-253
  • samba-client >= 2.2.8a-253
sles10.x86
core9.x86
sles10.ia64
sles10.x86-64
sles10.s390x
core9.s390
sles10.ppc
ul1.s390
slrs8.x86
ZYPP Patch Nr: 4780
SUSE LINUX Retail Solution 8
SuSE Linux Enterprise Server 8 for AMD64
SuSE Linux Enterprise Server 8 for IBM iSeries and IBM pSeries
SuSE Linux Enterprise Server 8 for IBM zSeries
SuSE Linux Enterprise Server 8 for IPF
SuSE Linux Openexchange Server 4
SuSE Linux School Server for i386
SuSE Linux Standard Server 8
UnitedLinux 1.0
  • samba >= 2.2.8a-253
  • samba-client >= 2.2.8a-253
  • samba-vscan >= 0.3.2a-305
sles10.x86
core9.x86
sles10.ia64
sles10.x86-64
sles10.s390x
core9.s390
sles10.ppc
ul1.s390
slrs8.x86
ZYPP Patch Nr: 4780
Novell Linux Desktop 9 for x86
  • ldapsmb >= 1.33-6.29
  • libsmbclient >= 3.0.20b-3.26
  • libsmbclient-devel >= 3.0.20b-3.26
  • samba >= 3.0.20b-3.26
  • samba-client >= 3.0.20b-3.26
  • samba-doc >= 3.0.20b-3.26
  • samba-pdb >= 3.0.20b-3.26
  • samba-python >= 3.0.20b-3.26
  • samba-vscan >= 0.3.6b-0.26.5
  • samba-winbind >= 3.0.20b-3.26
sles10.x86
core9.x86
sles10.ia64
sles10.x86-64
sles10.s390x
core9.s390
sles10.ppc
ul1.s390
slrs8.x86
ZYPP Patch Nr: 4780
Novell Linux Desktop 9 for x86_64
  • ldapsmb >= 1.33-6.29
  • libsmbclient >= 3.0.20b-3.26
  • libsmbclient-32bit >= 9-200712041731
  • libsmbclient-devel >= 3.0.20b-3.26
  • samba >= 3.0.20b-3.26
  • samba-32bit >= 9-200712041731
  • samba-client >= 3.0.20b-3.26
  • samba-client-32bit >= 9-200712041731
  • samba-doc >= 3.0.20b-3.26
  • samba-pdb >= 3.0.20b-3.26
  • samba-python >= 3.0.20b-3.26
  • samba-vscan >= 0.3.6b-0.26.5
  • samba-winbind >= 3.0.20b-3.26
  • samba-winbind-32bit >= 9-200712041731
sles10.x86
core9.x86
sles10.ia64
sles10.x86-64
sles10.s390x
core9.s390
sles10.ppc
ul1.s390
slrs8.x86
ZYPP Patch Nr: 4780
Open Enterprise Server
  • libsmbclient >= 3.0.20b-3.26
  • libsmbclient-devel >= 3.0.20b-3.26
  • samba >= 3.0.20b-3.26
  • samba-client >= 3.0.20b-3.26
  • samba-doc >= 3.0.20b-3.26
  • samba-pdb >= 3.0.20b-3.26
  • samba-python >= 3.0.20b-3.26
  • samba-vscan >= 0.3.6b-0.26.5
  • samba-winbind >= 3.0.20b-3.26
sles10.x86
core9.x86
sles10.ia64
sles10.x86-64
sles10.s390x
core9.s390
sles10.ppc
ul1.s390
slrs8.x86
ZYPP Patch Nr: 4780
SUSE LINUX 10.0
  • cifs-mount >= 3.0.20b-3.19
  • ldapsmb >= 1.33-6.19
  • libsmbclient >= 3.0.20b-3.19
  • libsmbclient-32bit >= 3.0.20b-3.19
  • libsmbclient-64bit >= 3.0.20b-3.19
  • libsmbclient-devel >= 3.0.20b-3.19
  • samba >= 3.0.20b-3.19
  • samba-client >= 3.0.20b-3.19
  • samba-doc >= 3.0.20b-3.19
  • samba-pdb >= 3.0.20b-3.19
  • samba-python >= 3.0.20b-3.19
  • samba-vscan >= 0.3.6b-4.18
  • samba-winbind >= 3.0.20b-3.19
SUSE LINUX 10.1
  • cifs-mount >= 3.0.22-13.38
  • ldapsmb >= 1.34a-18.34
  • libmsrpc >= 3.0.22-13.38
  • libmsrpc-devel >= 3.0.22-13.38
  • libsmbclient >= 3.0.22-13.38
  • libsmbclient-32bit >= 3.0.22-13.38
  • libsmbclient-64bit >= 3.0.22-13.38
  • libsmbclient-devel >= 3.0.22-13.38
  • samba >= 3.0.22-13.38
  • samba-32bit >= 3.0.22-13.38
  • samba-64bit >= 3.0.22-13.38
  • samba-client >= 3.0.22-13.38
  • samba-client-32bit >= 3.0.22-13.38
  • samba-client-64bit >= 3.0.22-13.38
  • samba-doc >= 3.0.22-20.52
  • samba-pdb >= 3.0.22-13.38
  • samba-python >= 3.0.22-13.38
  • samba-vscan >= 0.3.6b-42.67
  • samba-winbind >= 3.0.22-13.38
  • samba-winbind-32bit >= 3.0.22-13.38
  • samba-winbind-64bit >= 3.0.22-13.38